## org.omg.GIOP
Class OctetSeq3Holder

    java.lang.Object
      |
      +--org.omg.GIOP.OctetSeq3Holder

All Implemented Interfaces:
  Streamable

public final class OctetSeq3Holder
extends java.lang.Object
implements Streamable

Holder class for : OctetSeq3

Author:
  OpenORB Compiler

Field Summary
`byte[]` `value` Internal OctetSeq3 value

Constructor Summary
`OctetSeq3Holder()` Default constructor
`OctetSeq3Holder(byte[] initial)` Constructor with value initialisation

Method Summary
`void` `_read(InputStream istream)` Read OctetSeq3 from a marshalled stream
`TypeCode` `_type()` Return the OctetSeq3 TypeCode
`void` `_write(OutputStream ostream)` Write OctetSeq3 into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    public byte[] value

  Internal OctetSeq3 value

Constructor Detail

### OctetSeq3Holder

    public OctetSeq3Holder()

  Default constructor

### OctetSeq3Holder

    public OctetSeq3Holder(byte[] initial)

  Constructor with value initialisation
  Parameters:
    `initial` - the initial value

Method Detail

### _read

    public void _read(InputStream istream)

  Read OctetSeq3 from a marshalled stream
  Specified by:
    `_read` in interface `Streamable`
  Parameters:
    `istream` - the input stream

### _write

    public void _write(OutputStream ostream)

  Write OctetSeq3 into a marshalled stream
  Specified by:
    `_write` in interface `Streamable`
  Parameters:
    `ostream` - the output stream

### _type

    public TypeCode _type()

  Return the OctetSeq3 TypeCode
  Specified by:
    `_type` in interface `Streamable`
  Returns:
    a TypeCode